package com.base.locationsharewhite.bean

import com.base.locationsharewhite.utils.AppPreferences
import java.util.Locale

object ConstObject {

    var isFirstLauncher = true
        get() {
            return AppPreferences.getInstance().getBoolean("isFirstLauncher", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isFirstLauncher", value, true)
        }

    var ifAgreePrivacy = true
        get() {
            return AppPreferences.getInstance().getBoolean("ifAgreePrivacy", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("ifAgreePrivacy", value, true)
        }

    var appLanguageSp = Locale.getDefault().language
        get() {
            return AppPreferences.getInstance().getString("languageSp", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("languageSp", value, true)
        }
    var appLanguageCountrySp = Locale.getDefault().country
        get() {
            return AppPreferences.getInstance().getString("languageCountrySp", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("languageCountrySp", value, true)
        }

    var noShowFriendsShareGuide = false
        get() {
            return AppPreferences.getInstance().getBoolean("noShowFriendsShareGuide", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("noShowFriendsShareGuide", value, true)
        }
}